The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]
Профиль: Аноним (вход | регистрация)


"SQLITE3 под Python 3"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Программирование под UNIX (Python)
Изначальное сообщение [ Отслеживать ]

"SQLITE3 под Python 3"  –1 +/
Сообщение от Дмитрий email(??) on 02-Июн-18, 15:32 
Доброго времени суток!

По идеи, sqlite должен устанавливаться автоматически. Под Python2 он есть, а под Python 3 его нет. Проверял help('modules'). Попытка pip install pysqlite ничего не дает. pip пишет, что pysqlite не поддерживается Python3 и в 3-м питоне надо использовать sqlite3 из стандартной библиотеки.

imposrt sqilte во втором питоне нормально проходит, в третьем этот модуль не находит. А он нужен именно в 3-м.

Кто-нибудь сталкивался с таким, как решить ее? Система Gento, emerge dev-lang/python не помогает.

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "SQLITE3 под Python 3"  +/
Сообщение от fantom (??) on 05-Июн-18, 10:13 
> Доброго времени суток!
> По идеи, sqlite должен устанавливаться автоматически. Под Python2 он есть, а под
> Python 3 его нет. Проверял help('modules'). Попытка pip install pysqlite ничего
> не дает. pip пишет, что pysqlite не поддерживается Python3 и в
> 3-м питоне надо использовать sqlite3 из стандартной библиотеки.
> imposrt sqilte во втором питоне нормально проходит, в третьем этот модуль не
> находит. А он нужен именно в 3-м.
> Кто-нибудь сталкивался с таким, как решить ее? Система Gento, emerge dev-lang/python не
> помогает.

Не поможет?
https://docs.python.org/3/library/sqlite3.html

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "SQLITE3 под Python 3"  +/
Сообщение от Дмитрий email(??) on 05-Июн-18, 12:03 
> Не поможет?
> https://docs.python.org/3/library/sqlite3.html

Нет. Помогло простое копирование /usr/lib/python3.5/sqlite3, /usr/lib/python3.5/lib-dynload/_sqlite3.cpython-35m-x86_64-linux-gnu.so к себе на сервак.


Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "SQLITE3 под Python 3"  +/
Сообщение от eRIC (ok) on 05-Июн-18, 13:29 
> Нет. Помогло простое копирование /usr/lib/python3.5/sqlite3, /usr/lib/python3.5/lib-dynload/_sqlite3.cpython-35m-x86_64-linux-gnu.so
> к себе на сервак.

нужно указывать import sqlite3 а не sqlite в Python 3 версии


Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2018 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor